**Full name**: projects.locations.updateRagEngineConfig

Updates a RagEngineConfig.

### Endpoint

patch `https://{service-endpoint}/v1beta1/{ragEngineConfig.name}`   
`PATCH https://{service-endpoint}/v1beta1/{ragEngineConfig.name}`

Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`ragEngineConfig.name` `string` Identifier. The name of the RagEngineConfig. Format: `projects/{project}/locations/{location}/ragEngineConfig`

### Request body

The request body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/RagEngineConfig`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `aiplatform.ragEngineConfigs.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).